<?

include_once '../sys/inc/home.php';
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';
only_level(3);

if(isset($_GET['id'])){
$id = mysql_fetch_assoc(mysql_query("SELECT * FROM `smile` WHERE `dir` = '" . intval($_GET['id']) . "' LIMIT 1"));

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `smile_dir` WHERE `id` = '" . intval($_GET['id']) . "'"),0) == 0)
header("Location: smiles.php");

//Удаление смайлов
if(isset($_GET['del'])){
$del = mysql_fetch_assoc(mysql_query("SELECT * FROM `smile` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1"));
@unlink(H.'style/smiles/' . $del['id'] . '.gif');
mysql_query("DELETE FROM `smile` WHERE `id` = '".intval($_GET['del'])."'");
$_SESSION['message'] = 'Смайл удален';
header('Location: ?id=' . intval($_GET['id']) . '&page=' . intval($_GET['page']));
exit;
}

//Загрузка смайлов
if(isset($_GET['act']) && $_GET['act'] == 'add_smile' && isset($_GET['ok']) && isset($_POST['forms'])){
$forms = intval($_POST['forms']);
for ($i = 0; $i < $forms; $i++){
if (isset($_FILES["file_$i"]) && 
preg_match('#^\.|\.jpg|\.png$|\.gif$|\.jpeg$#i', $_FILES["file_$i"]['name']) && 
filesize($_FILES["file_$i"]['tmp_name']) > 0 && 
isset($_POST["smile_$i"])){
$file = text($_FILES["file_$i"]['name']);
$smile = mysql_real_escape_string($_POST["smile_$i"]);
mysql_query("INSERT INTO `smile` (`smile`) values('$smile')");
$ID = mysql_insert_id();
if (@copy($_FILES["file_$i"]['tmp_name'], H.'style/smiles/' . $ID . '.gif')){
@chmod(H.'style/smiles/' . $ID . '.gif', 0777);
$_SESSION['message'] = 'Выгрузка прошла успешно';
}
}else{
$err = 'Файл (' . $i . ') не выгружен';
}
}
}
}

$set['title'] = 'Управление смайлами';
include_once H.'sys/inc/thead.php';
err();
title();
aut();

//Форма загрузки смайлов
if(isset($_GET['act']) && $_GET['act'] == 'add_smile'){
if(isset($_POST['forms']))
$forms = intval($_POST['forms']);
elseif (isset($_SESSION['forms']))
$forms = intval($_SESSION['forms']);
else 
$forms = 1;
$_SESSION['forms'] = $forms;
?>
<div class="block">
<form enctype="multipart/form-data" action="?id=<?=intval($_GET['id'])?>&amp;act=add_smile&amp;ok" method="post">
Количество файлов:<br />
<input class="input" type="text" name="forms" value="<?=$forms?>"/>
<input class="button" type="submit" value="Показать формы" />
<?
for ($i=0; $i < $forms; $i++)
{
echo ($i+1) . ')<input class="input" name="file_' . $i . '" type="file" />';
echo ($i+1) . ')<input class="input" placeholder="Код смайла" type="text" name="smile_' . $i . '">';
}
?>
<input class="button" type="submit" value="Добавить" />
</form>
</div>
<?
include_once H.'sys/inc/tfoot.php';
exit;
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `smile`"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if ($k_post == 0) {
echo '<div class="block">Смайлов нет</div>';
}

$q = mysql_query("SELECT * FROM `smile` ORDER BY id DESC LIMIT $start, $set[p_str]");

//Вывод смайлов
while($post = mysql_fetch_array($q)){
echo '<div class="block2"><img width="50" src="/style/smiles/'.$post['id'].'.gif"> - '.text($post['smile']).'</div>';
}

echo '<a class="link3" href="?&amp;act=add_smile"><i class="material-icons icon">add_circle_outline</i> Добавить смайл</a>';

//Страницы
if ($k_page>1)str('?&amp;',$k_page,$page);

include_once H.'sys/inc/tfoot.php';

?>